'\" t
.\"     Title: DROP TEXT SEARCH CONFIGURATION
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2020
.\"    Manual: PostgreSQL 13.1 Documentation
.\"    Source: PostgreSQL 13.1
.\"  Language: English
.\"
.TH "DROP TEXT SEARCH CONFIGURATION" "7" "2020" "PostgreSQL 13.1" "PostgreSQL 13.1 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
DROP_TEXT_SEARCH_CONFIGURATION \- remove a text search configuration
.SH "SYNOPSIS"
.sp
.nf
DROP TEXT SEARCH CONFIGURATION [ IF EXISTS ] \fIname\fR [ CASCADE | RESTRICT ]
.fi
.SH "DESCRIPTION"
.PP
\fBDROP TEXT SEARCH CONFIGURATION\fR
drops an existing text search configuration\&. To execute this command you must be the owner of the configuration\&.
.SH "PARAMETERS"
.PP
IF EXISTS
.RS 4
Do not throw an error if the text search configuration does not exist\&. A notice is issued in this case\&.
.RE
.PP
\fIname\fR
.RS 4
The name (optionally schema\-qualified) of an existing text search configuration\&.
.RE
.PP
CASCADE
.RS 4
Automatically drop objects that depend on the text search configuration, and in turn all objects that depend on those objects (see
Section\ \&5.14)\&.
.RE
.PP
RESTRICT
.RS 4
Refuse to drop the text search configuration if any objects depend on it\&. This is the default\&.
.RE
.SH "EXAMPLES"
.PP
Remove the text search configuration
my_english:
.sp
.if n \{\
.RS 4
.\}
.nf
DROP TEXT SEARCH CONFIGURATION my_english;
.fi
.if n \{\
.RE
.\}
.sp
This command will not succeed if there are any existing indexes that reference the configuration in
\fBto_tsvector\fR
calls\&. Add
CASCADE
to drop such indexes along with the text search configuration\&.
.SH "COMPATIBILITY"
.PP
There is no
\fBDROP TEXT SEARCH CONFIGURATION\fR
statement in the SQL standard\&.
.SH "SEE ALSO"
ALTER TEXT SEARCH CONFIGURATION (\fBALTER_TEXT_SEARCH_CONFIGURATION\fR(7)), CREATE TEXT SEARCH CONFIGURATION (\fBCREATE_TEXT_SEARCH_CONFIGURATION\fR(7))
